com.lowagie.text.pdf

## Class PdfFormXObject

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.PdfStream
      - - com.lowagie.text.pdf.PdfFormXObject

    public class PdfFormXObject
    extends PdfStream

`PdfFormObject` is a type of XObject containing a template-object.

### Field Summary

Fields
`static PdfLiteral` `MATRIX` This is the 1 - matrix.
`static PdfNumber` `ONE` This is a PdfNumber representing 1.
`static PdfNumber` `ZERO` This is a PdfNumber representing 0.

### Fields inherited from class com.lowagie.text.pdf.PdfStream

`BEST_COMPRESSION, BEST_SPEED, compressed, compressionLevel, DEFAULT_COMPRESSION, ENDSTREAM, inputStream, inputStreamLength, NO_COMPRESSION, rawLength, ref, SIZESTREAM, STARTSTREAM, streamBytes, writer`

### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

### Fields inherited from class com.lowagie.text.pdf.PdfObject

`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

### Constructor Summary

Constructors
Constructor and Description
`PdfFormXObject(PdfTemplate template, int compressionLevel)` Constructs a `PdfFormXObject`-object.

### Method Summary

### Methods inherited from class com.lowagie.text.pdf.PdfStream

`flateCompress, flateCompress, getRawLength, superToPdf, toPdf, toString, writeContent, writeLength`

### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size`

### Methods inherited from class com.lowagie.text.pdf.PdfObject

`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ZERO

    public static final PdfNumber ZERO

This is a PdfNumber representing 0.

#### ONE

    public static final PdfNumber ONE

This is a PdfNumber representing 1.

#### MATRIX

    public static final PdfLiteral MATRIX

This is the 1 - matrix.

### Constructor Detail

#### PdfFormXObject

    PdfFormXObject(PdfTemplate template,
                  int compressionLevel)

Constructs a `PdfFormXObject`-object.

Parameters:
  `template` - the template
  `compressionLevel` - the compression level for the stream
Since:
  2.1.3 (Replacing the existing constructor with param compressionLevel)